---
updatedAt: 2026-08-18T09:17:24.000Z
agentTools:
  projectIndex: https://docs.mesh.complyadvantage.com/llms.txt
---

# List Lookup Lists for an account

Lists all Lookup Lists for an account, returning the latest version of each.


You need the "View lookup lists" permission to use this endpoint.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "mes_LookupListNoSchemaResponse": {
        "properties": {
          "created_at": {
            "format": "date-time",
            "nullable": true,
            "type": "string"
          },
          "created_by": {
            "format": "uuid",
            "type": "string"
          },
          "identifier": {
            "format": "uuid",
            "type": "string"
          },
          "items_count": {
            "format": "int32",
            "type": "integer"
          },
          "name": {
            "type": "string"
          },
          "updated_at": {
            "format": "date-time",
            "nullable": true,
            "type": "string"
          },
          "updated_by": {
            "format": "uuid",
            "type": "string"
          },
          "version": {
            "$ref": "#/components/schemas/mes_VersionResponse"
          }
        },
        "required": [
          "created_by",
          "identifier",
          "items_count",
          "name",
          "updated_by"
        ],
        "type": "object"
      },
      "mes_PaginatedResponseLookupListNoSchemaResponse": {
        "properties": {
          "first": {
            "description": "The URL path to the first page.",
            "example": "/v1/resource?page_number=1",
            "type": "string"
          },
          "lookup_lists": {
            "items": {
              "$ref": "#/components/schemas/mes_LookupListNoSchemaResponse"
            },
            "type": "array"
          },
          "next": {
            "description": "The URL path to the next page.",
            "example": "/v1/resource?page_number=4",
            "nullable": true,
            "type": "string"
          },
          "prev": {
            "description": "The URL path to the previous page.",
            "example": "/v1/resource?page_number=2",
            "nullable": true,
            "type": "string"
          },
          "self": {
            "description": "The URL path to the current page.",
            "example": "/v1/resource?page_number=3",
            "type": "string"
          },
          "total_count": {
            "description": "Total number of items.",
            "example": 60,
            "format": "int64",
            "nullable": true,
            "type": "integer"
          }
        },
        "required": [
          "first",
          "self",
          "lookup_lists"
        ],
        "type": "object"
      },
      "mes_VersionResponse": {
        "properties": {
          "number": {
            "format": "int32",
            "type": "integer"
          },
          "status": {
            "enum": [
              "DRAFT",
              "ACTIVE",
              "INACTIVE"
            ],
            "type": "string"
          }
        },
        "required": [
          "number",
          "status"
        ],
        "type": "object"
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "description": "HTTP Bearer Token Authentication",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "title": "Mesh API",
    "version": "v2.0"
  },
  "openapi": "3.0.3",
  "paths": {
    "/v3/enrichment/lookup-lists": {
      "get": {
        "description": "Lists all Lookup Lists for an account, returning the latest version of each.\n\n\nYou need the \"View lookup lists\" permission to use this endpoint.",
        "operationId": "meshEnrichmentServiceListLookupLists",
        "parameters": [
          {
            "description": "Sorting criteria. Allowed fields: `name`, `status`, `updated_at`, `updated_by`, `created_at`, `created_by`. Each criterion should be a string in the format: `property_name` for ascending order, or `-property_name` for descending order. For example, to sort by name descending: `-name`. Multiple sort criteria are supported. Provide each as a separate 'sort' query parameter (e.g., `?sort=-name&sort=status`).",
            "example": [
              "-timestamp"
            ],
            "in": "query",
            "name": "sort",
            "required": false,
            "schema": {
              "items": {
                "type": "string"
              },
              "type": "array"
            }
          },
          {
            "description": "One-based page index (1..N)",
            "example": 1,
            "in": "query",
            "name": "page_number",
            "required": false,
            "schema": {
              "default": 1,
              "minimum": 1,
              "type": "integer"
            }
          },
          {
            "description": "The size of the page to be returned",
            "example": 20,
            "in": "query",
            "name": "page_size",
            "required": false,
            "schema": {
              "default": 50,
              "minimum": 1,
              "type": "integer"
            }
          },
          {
            "description": "Search term to filter lookup lists by name",
            "example": "example_list",
            "in": "query",
            "name": "search",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/mes_PaginatedResponseLookupListNoSchemaResponse"
                }
              }
            },
            "description": "Lookup Lists found"
          }
        },
        "summary": "List Lookup Lists for an account",
        "tags": [
          "Enrichment"
        ]
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "description": "ComplyAdvantage Mesh API",
      "url": "https://api.mesh.complyadvantage.com"
    }
  ],
  "tags": [
    {
      "name": "Enrichment"
    }
  ]
}
```